<?php
//  Проверка времени окончания бана
mysql_query("DELETE FROM `protect_black_list_ip` WHERE `ban_time` < '$s_time' LIMIT 1");
if(mysql_affected_rows()>0)
{
rebuild_htaccess();
}
//
echo "<div class='menu'>\n";
echo "<a href='?l=ipautoban&a=setup'>Настройки</a><br />";
$t_count=mysql_result(mysql_query("SELECT COUNT(*) FROM `protect_black_list_ip` WHERE `ban_time`>'$s_time'"),0);
echo "<a href='?l=ipautoban&a=banlist'>Бан лист</a> ($t_count)<br />";
$t_count=mysql_result(mysql_query("SELECT COUNT(*) FROM `protect_exceptions`"),0);
echo "<a href='?l=ipautoban&a=exceptions'>Исключения</a> ($t_count)<br />";
echo "<a href='?l=ipautoban&a=cleartab'>Очистка таблиц!</a><br />";
echo "</div>\n";
?>